%global debug_package %{nil}

# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1
%define oname CPU-X
Name: cpu-x
Version:	4.5.3
Release:	 %mkrel 1
Summary: CPU-X is a Free software that gathers information on CPU, motherboard and more
License: GPLv3+
Group: Monitoring
Url: https://github.com/X0rg/CPU-X
Source0: https://github.com/X0rg/CPU-X/archive/v%{version}/%{oname}-%{version}.tar.xz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:          2001_build-with-PIE.patch
Patch1:          2002_avoid-format-security-compiler-flag.patch
BuildRequires: cmake
BuildRequires: gettext
BuildRequires:  lib64ncurses-devel
BuildRequires:  lib64ncursesw-devel
BuildRequires:  lib64statgrab-devel
BuildRequires:  procps-devel
BuildRequires:  pciutils-devel
BuildRequires:  lib64gtk+3.0-devel
BuildRequires:  lib64glfw-devel
BuildRequires:  lib64curl-devel
BuildRequires:  lib64cpuid-devel
BuildRequires:  lib64archive-devel

Requires: hicolor-icon-theme
Requires: libcpuid-tools
Requires: cpuid

%description
CPU-X is a Free software that gathers information on CPU, motherboard and more.
CPU-X is similar to CPU-Z (Windows), but CPU-X is a Free and Open Source
software designed for GNU/Linux; also, it works on *BSD.
This software is written in C and built with CMake tool.
It can be used in graphical mode by using GTK or in text-based mode by using
NCurses. A dump mode is present from command line. 

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
mkdir build && cd build
cmake -DCMAKE_BUILD_TYPE=Release -DWITH_BANDWIDTH=1 -DCMAKE_INSTALL_PREFIX=/usr ..
make %{?_smp_mflags}

%install
cd build
make DESTDIR=%{buildroot} install
cd ..
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%files
%{_bindir}
%{_libexecdir}
%{_datadir}

%post
glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
glib-compile-schemas /usr/share/glib-2.0/schemas

%changelog
* Mon Sep 11 2023 tex - 4.5.3-1pclos2023
- new version

* Sun Dec 04 2022 tex - 4.5.2-2pclos2022
- rebuild against updates

* Sun Dec 04 2022 tex - 4.5.2-1pclos2022
- new version

* Sun Feb 20 2022 tex - 4.3.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 4.2.0-5pclos2022
- apply deb autopatch -p1

* Thu Dec 16 2021 tex - 4.2.0-4pclos2021
- rebuild against updates

* Sat Oct 02 2021 onkelho <oh.quait at gmail.com> - 4.2.0-3pclos2021
- fix i hope
- is not instalable on pclos  -- gambas3-gb-jita

* Fri Oct 01 2021 onkelho <oh.quait at gmail.com> - 4.2.0-2pclos2021
- new version rel last

* Sat May 15 2021 tex - 4.2.0-1pclos2021
- create pkg from appimage


